Setup

Configure an initial InfluxDB Cloud instance, including creating the initial user, organization, and bucket.
GET /api/v2/setup

Retrieve setup status

Check if setup is allowed. Returns true if no default user, organization, or bucket have been created.

Parameters

Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 Setup is allowed, true or false
allowed boolean
If true, the InfluxDB instance hasn’t had initial setup; false otherwise.
POST /api/v2/setup

Create an initial user, organization, and bucket

Post an onboarding request to create an initial user, organization, and bucket.

Parameters

Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Source to create
Content-Type: application/json
bucket required string
limit object
These are org limits similar to those configured in/by quartz.
bucket required object
maxBuckets required integer
maxRetentionDuration required integer
Max bucket retention duration in nanoseconds. 0 is unlimited.
check required object
maxChecks required integer
dashboard required object
maxDashboards required integer
features object
allowDelete boolean
allow delete predicate endpoint
ioxQuery object
parquetFiles required integer
partitions required integer
notificationEndpoint required object
blockedNotificationEndpoints string
comma separated list of notification endpoints
Example: "http,pagerduty"
notificationRule required object
blockedNotificationRules string
comma separated list of notification rules
Example: "http,pagerduty"
maxNotifications required integer
orgID string
rate required object
cardinality required integer
Allowed organization total cardinality. 0 is unlimited.
concurrentDeleteRequests integer
Allowed organization concurrent outstanding delete requests.
concurrentReadRequests required integer
Allowed concurrent queries. 0 is unlimited.
concurrentWriteRequests required integer
Allowed concurrent writes. 0 is unlimited.
deleteRequestsPerSecond integer
Allowed organization delete request rate.
queryTime required integer
Query Time in nanoseconds
readKBs required integer
Query limit in kb/sec. 0 is unlimited.
writeKBs required integer
Write limit in kb/sec. 0 is unlimited.
stack object
enabled required boolean
task required object
maxTasks required integer
timeout object
queryUnconditionalTimeoutSeconds required integer
queryidleWriteTimeoutSeconds required integer
org required string
password string
retentionPeriodHrs integer
retentionPeriodSeconds integer
username required string
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "bucket": "BUCKET",
  "limit": {
    "bucket": {
      "maxBuckets": 0,
      "maxRetentionDuration": 0
    },
    "check": {
      "maxChecks": 0
    },
    "dashboard": {
      "maxDashboards": 0
    },
    "features": {
      "allowDelete": false
    },
    "ioxQuery": {
      "parquetFiles": 0,
      "partitions": 0
    },
    "notificationEndpoint": {
      "blockedNotificationEndpoints": "http,pagerduty"
    },
    "notificationRule": {
      "blockedNotificationRules": "http,pagerduty",
      "maxNotifications": 0
    },
    "orgID": "ORGID",
    "rate": {
      "cardinality": 0,
      "concurrentDeleteRequests": 0,
      "concurrentReadRequests": 0,
      "concurrentWriteRequests": 0,
      "deleteRequestsPerSecond": 0,
      "queryTime": 0,
      "readKBs": 0,
      "writeKBs": 0
    },
    "stack": {
      "enabled": false
    },
    "task": {
      "maxTasks": 0
    },
    "timeout": {
      "queryUnconditionalTimeoutSeconds": 0,
      "queryidleWriteTimeoutSeconds": 0
    }
  },
  "org": "ORG",
  "password": "PASSWORD",
  "retentionPeriodHrs": 0,
  "retentionPeriodSeconds": 0,
  "username": "USERNAME"
}'

Responses

201 The created default user, bucket, and organization
auth object
createdAt string <date-time>
description string
A description of the token.
id string
The authorization ID.
links object
Example: {"self":"/api/v2/authorizations/1","user":"/api/v2/users/12"}
self string <uri>
URI of resource.
user string <uri>
URI of resource.
org string
The organization name. Specifies the organization that the token is scoped to.
orgID required string
The organization ID. Specifies the organization that the authorization is scoped to.
permissions required object[]
The list of permissions. An authorization must have at least one permission.
action required string
Allowed: read , write
resource required object
status string
Status of the token. If inactive, InfluxDB rejects requests that use the token.
Allowed: active , inactive
Default: active
token string
The API token. The token value is unique to the authorization. API tokens are used to authenticate and authorize InfluxDB API requests and influx CLI commands–after receiving the request, InfluxDB checks that the token is valid and that the permissions allow the requested action(s).
updatedAt string <date-time>
user string
The user name. Specifies the user that owns the authorization. If the authorization is scoped to a user, the user; otherwise, the creator of the authorization.
userID string
The user ID. Specifies the user that owns the authorization. If scoped, the user that the authorization is scoped to; otherwise, the creator of the authorization.
bucket string
org string
user string
default Non 2XX error response from server.
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
POST /api/v2/setup/user

Create a new user, organization, and bucket

Post an onboarding request to create a new user, organization, and bucket.

Request body required

Source to create
Content-Type: application/json
bucket required string
limit object
These are org limits similar to those configured in/by quartz.
bucket required object
maxBuckets required integer
maxRetentionDuration required integer
Max bucket retention duration in nanoseconds. 0 is unlimited.
check required object
maxChecks required integer
dashboard required object
maxDashboards required integer
features object
allowDelete boolean
allow delete predicate endpoint
ioxQuery object
parquetFiles required integer
partitions required integer
notificationEndpoint required object
blockedNotificationEndpoints string
comma separated list of notification endpoints
Example: "http,pagerduty"
notificationRule required object
blockedNotificationRules string
comma separated list of notification rules
Example: "http,pagerduty"
maxNotifications required integer
orgID string
rate required object
cardinality required integer
Allowed organization total cardinality. 0 is unlimited.
concurrentDeleteRequests integer
Allowed organization concurrent outstanding delete requests.
concurrentReadRequests required integer
Allowed concurrent queries. 0 is unlimited.
concurrentWriteRequests required integer
Allowed concurrent writes. 0 is unlimited.
deleteRequestsPerSecond integer
Allowed organization delete request rate.
queryTime required integer
Query Time in nanoseconds
readKBs required integer
Query limit in kb/sec. 0 is unlimited.
writeKBs required integer
Write limit in kb/sec. 0 is unlimited.
stack object
enabled required boolean
task required object
maxTasks required integer
timeout object
queryUnconditionalTimeoutSeconds required integer
queryidleWriteTimeoutSeconds required integer
org required string
password string
retentionPeriodHrs integer
retentionPeriodSeconds integer
username required string
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup/user" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "bucket": "BUCKET",
  "limit": {
    "bucket": {
      "maxBuckets": 0,
      "maxRetentionDuration": 0
    },
    "check": {
      "maxChecks": 0
    },
    "dashboard": {
      "maxDashboards": 0
    },
    "features": {
      "allowDelete": false
    },
    "ioxQuery": {
      "parquetFiles": 0,
      "partitions": 0
    },
    "notificationEndpoint": {
      "blockedNotificationEndpoints": "http,pagerduty"
    },
    "notificationRule": {
      "blockedNotificationRules": "http,pagerduty",
      "maxNotifications": 0
    },
    "orgID": "ORGID",
    "rate": {
      "cardinality": 0,
      "concurrentDeleteRequests": 0,
      "concurrentReadRequests": 0,
      "concurrentWriteRequests": 0,
      "deleteRequestsPerSecond": 0,
      "queryTime": 0,
      "readKBs": 0,
      "writeKBs": 0
    },
    "stack": {
      "enabled": false
    },
    "task": {
      "maxTasks": 0
    },
    "timeout": {
      "queryUnconditionalTimeoutSeconds": 0,
      "queryidleWriteTimeoutSeconds": 0
    }
  },
  "org": "ORG",
  "password": "PASSWORD",
  "retentionPeriodHrs": 0,
  "retentionPeriodSeconds": 0,
  "username": "USERNAME"
}'

Responses

201 The created default user, bucket, and organization.
auth object
createdAt string <date-time>
description string
A description of the token.
id string
The authorization ID.
links object
Example: {"self":"/api/v2/authorizations/1","user":"/api/v2/users/12"}
self string <uri>
URI of resource.
user string <uri>
URI of resource.
org string
The organization name. Specifies the organization that the token is scoped to.
orgID required string
The organization ID. Specifies the organization that the authorization is scoped to.
permissions required object[]
The list of permissions. An authorization must have at least one permission.
action required string
Allowed: read , write
resource required object
status string
Status of the token. If inactive, InfluxDB rejects requests that use the token.
Allowed: active , inactive
Default: active
token string
The API token. The token value is unique to the authorization. API tokens are used to authenticate and authorize InfluxDB API requests and influx CLI commands–after receiving the request, InfluxDB checks that the token is valid and that the permissions allow the requested action(s).
updatedAt string <date-time>
user string
The user name. Specifies the user that owns the authorization. If the authorization is scoped to a user, the user; otherwise, the creator of the authorization.
userID string
The user ID. Specifies the user that owns the authorization. If scoped, the user that the authorization is scoped to; otherwise, the creator of the authorization.
bucket string
org string
user string
default Non 2XX error response from server.
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.

Was this page helpful?

Thank you for your feedback!